[Yandex Cloud documentation](../../../index.md) > [Yandex Cloud Postbox](../../index.md) > [API reference](../index.md) > [REST](index.md) > Configurations > PutConfigurationSetDeliveryOptions method

# PutConfigurationSetDeliveryOptions method

Updates delivery settings for a [configuration](../../concepts/glossary.md#configuration) in a folder. The folder is selected based on the service account the request originates from.

## Query {#request}

```http
PUT /v2/email/configuration-sets/{ConfigurationSetName}/delivery-options HTTP/2
```

### Path parameters {#path-parameters}

#|
|| **Parameter** | **Description** ||
|| `ConfigurationSetName` | **Type**: String.

Name of the configuration to update.
|#

### Request headers {#request-headers}

Use [common request headers](request-headers.md) in your requests.

### Request body {#request-body}

```json
{
   "TlsPolicy": "REQUIRE|OPTIONAL"
}
```

#|
|| **Parameter** | **Description** ||
|| `TlsPolicy` | **Type**: String.

Outgoing connection security policy.

It specifies whether or not to use the TLS protocol for the messages with this configuration. If the value is `REQUIRE`, messages will be delivered only when it is possible to establish a TLS connection. If `OPTIONAL`, messages may be delivered as plain text if a TLS connection is not established.||

|#

## Responses {#responses}

### 200 OK {#200}

A successful request returns `200 OK` in the response.

### Errors {#errors}

For all errors, the response body has the same format:

```json
{
   "Code": "<error_name>",
   "message": "<error_description>"
}
```

The name of the error is taken from its code, e.g., `BadRequestException`.

Possible errors:

#|
|| **Error code** | **Description** ||
|| `400 BadRequestException` | The request contains invalid headers or parameters. ||
|| `404 NotFoundException` | The requested resource was not found. ||
|| `429 TooManyRequestsException ` | The request [quota](../../concepts/limits.md#postbox-quotas) was exceeded. ||
|#